@extends('pp::layouts.app')

@section('head')
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<link rel="stylesheet" href="{{ Module::asset('hr:css/hr/employee.css') }}" type="text/css">
<link rel="stylesheet" href="{{ Module::asset('hr:js/autocomplete2/css/autocomplete.min.css') }}">
<link rel="stylesheet" href="{{ Module::asset('hr:css/hr/settings.css') }}" media="all" type="text/css" />

<meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">

            <div class="card-body">
                <h6 class="card-title">Bill Of Material</h6>
                <div id="bomHeader">
                    <div>
                        @if(Auth::user()->can('pp_bill_of_material_add_bom'))
                        <button onclick="showModelAddBOMHeader()" class="btn btn-primary mr-5" name="addbomheadermodel" id="btnAddbomHeaderModel" type="button">Add Bill Of Material</button>
                        @endif
                    </div>

                    <br>

                    <div class="row" id='rowbomHeaderTable'>
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <!-- Required for Responsive -->
                                <table id="bomHeaderTable" class="table datatable">
                                    <thead>
                                        <tr>
                                            <th class="">Product Id</th>
                                            <th class="">Product Name</th>
                                            <th class="">BOM Name</th>
                                            <th class="">Quantity</th>
                                            <th class="">Wastage</th>
                                            <th class="">Unit Of Mesurement</th>
                                            <th class="">Description</th>
                                            <th class="disable">Status</th>
                                            <th class="thAction">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div id="bomData">
                    <div>
                        @if(Auth::user()->can('pp_bill_of_material_add_material'))
                        <button onclick="showModelAddbomData()" class="btn btn-primary mr-5 mt-5" name="addbomdatamodel" id="btnAddbomDataModel" type="button">Materials</button>
                        @endif
                    </div>

                    <br>

                    <div class="row" id='rowBottomTable'>
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <!-- Required for Responsive -->
                                <table id="bomDataTable" class="table table-striped  datatable">
                                    <thead>
                                        <tr>
                                            <th class="">Product ID</th>
                                            <th class="">Material</th>
                                            <th class="">Quantity</th>
                                            <th class="">Unit of Mesurement</th>
                                            <th class="">Tolerance %</th>
                                            <th class="disable">Status</th>
                                            <th class="thAction">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>


<!--Add Order Modal -->

<div class="modal fade" id="addbomHeaderModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add Bill Of Material</h5>
            </div>
            <div class="modal-body">
                <form method="POST" id="BomHeaderForm" enctype="multipart/form-data">
                    {{ csrf_field() }}

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-archive text-info" aria-hidden="true"></i>
                            <label for="txtProductID">Product ID</label>
                            <input type="hidden" id="hidBomID" name="hidBomID">
                            <input type="text" class="form-control auto-complete" id="txtProductID" name="txtProductID" placeholder="Product ID" required="" AutoComplete="off" disabled>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtProductName">Product Name</label>
                            <input class="form-control auto-complete" autocomplete="off" id="txtProductName" name="txtProductName" onchange="getProductName()" placeholder="Product Name" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtProductName">BOM Name</label>
                            <input class="form-control" autocomplete="off" id="txtBOMName" name="txtBOMName" placeholder="BOM Name" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtQuantity">Quantity</label>
                            <input class="form-control" id="txtQuantity" name="txtQuantity" placeholder="" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>

                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtQuantity2">wastage percentage</label>
                            <input class="form-control" id="txtWastagepercentage" name="txtWastagepercentage" placeholder="" required="" AutoComplete="off">
                            <div class="valid-feedback">
                                Looks good!
                            </div>

                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtuom">Unit Of Measurement</label>
                            <select class="form-control" id="cmbUOM_BOM" name="cmbUOM_BOM"></select>
                            <div class="valid-feedback">
                                Looks good!
                            </div>

                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtDescription">Description</label>
                            <textarea class="form-control" id="txtDescription" name="txtDescription"></textarea>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <div class="modal-footer">

                <button type="button" name="saveaddbomheader" id="btnSaveAddBomHeader" class="btn btn-primary">Save</button>
                <button type="button" name="canceladdbomheader" id="btnCancelAddBomHeader" class="btn btn-warning" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

<!--Add Product to Order Modal -->
<div class="modal fade" id="addbomDataModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel1">Material</h5>
            </div>
            <div class="modal-body">
                <form method="POST" id="BomDataForm" enctype="multipart/form-data">
                    {{ csrf_field() }}



                    <input type="hidden" class="form-control" id="txtBomHeaderId" name="txtBomHeaderId" placeholder="" required="">
                    <input type="hidden" id="hidden_bom_data_id" name="bom_data_id">
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-archive text-info" aria-hidden="true"></i>
                            <label for="txtProductID2">Product ID</label>
                            <input type="text" class="form-control auto-complete" id="txtProductID2" name="txtProductID2" placeholder="Product ID" required="" AutoComplete="off">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtProductName2">Product Name</label>
                            <input type="hidden" id="hid_product_primary_id" name="product_primary_id">
                            <input class="form-control auto-complete" autocomplete="off" id="txtProductName2" name="txtProductName2" onchange="getMaterialName()" placeholder="Product Name" required="" AutoComplete="off">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtQuantity2">Quantity</label>
                            <input class="form-control" id="txtQuantity2" name="txtQuantity2" placeholder="" required="" AutoComplete="off">
                            <div class="valid-feedback">
                                Looks good!
                            </div>

                        </div>
                    </div>


                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtUom2">Unit Of Measurement</label>
                            <!--<input class="form-control" id="txtUom2" name="txtUom2" placeholder="" required="" AutoComplete="off">!-->
                            <select class="form-control" id="cmbUOM" name="cmbUOM"></select>
                            <div class="valid-feedback">
                                Looks good!
                            </div>

                        </div>
                    </div>


                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                            <label for="txtTolerance">Tolerance %</label>
                            <input type="text" class="form-control" id="txtTolerance" name="txtTolerance" placeholder="" AutoComplete="off">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>


                </form>
            </div>
            <div class="modal-footer">
                <button type="button" name="saveaddbomdata" id="btnSaveAddBomData" class="btn btn-primary">Save</button>
                <button type="button" name="canceladdbomdata" id="btnCancelAddBomData" class="btn btn-warning" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>
@endsection

<!-- App scripts -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<script src="{{ Module::asset('hr:js/autocomplete2/js/autocomplete.min.js') }}"></script>
<!-- Javascript -->
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
<script src="{{ Module::asset('pp:js/billOfMaterial.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<!-- Sweet alert -->
<script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
@endsection